#!/bin/bash
today=`date '+%Y-%m-%d_%H%M%S'`;
OUTPUT_FILE=am65xx-padconf_$today.rd1

# Create new file
echo "PadConf AM65xx" > $OUTPUT_FILE

# Append to file
while IFS='' read -r line || [[ -n "$line" ]]; do
    devmem2 $line | sed '1d2ds/.*\s\(0x[0-9a-fA-F]*\)\s.*: \(0x[0-9a-fA-F]*\)*/\1 \2/' >> $OUTPUT_FILE
done << EOM
0x0011C000
0x0011C004
0x0011C008
0x0011C00C
0x0011C010
0x0011C014
0x0011C018
0x0011C01C
0x0011C020
0x0011C024
0x0011C028
0x0011C02C
0x0011C030
0x0011C034
0x0011C038
0x0011C03C
0x0011C040
0x0011C044
0x0011C048
0x0011C04C
0x0011C050
0x0011C054
0x0011C058
0x0011C05C
0x0011C060
0x0011C064
0x0011C068
0x0011C06C
0x0011C070
0x0011C074
0x0011C078
0x0011C07C
0x0011C080
0x0011C084
0x0011C088
0x0011C08C
0x0011C090
0x0011C094
0x0011C098
0x0011C09C
0x0011C0A0
0x0011C0A4
0x0011C0A8
0x0011C0AC
0x0011C0B0
0x0011C0B4
0x0011C0B8
0x0011C0BC
0x0011C0C0
0x0011C0C4
0x0011C0C8
0x0011C0CC
0x0011C0D0
0x0011C0D4
0x0011C0D8
0x0011C0DC
0x0011C0E0
0x0011C0E4
0x0011C0E8
0x0011C0EC
0x0011C0F0
0x0011C0F4
0x0011C0F8
0x0011C0FC
0x0011C100
0x0011C104
0x0011C108
0x0011C10C
0x0011C110
0x0011C114
0x0011C118
0x0011C11C
0x0011C120
0x0011C124
0x0011C128
0x0011C12C
0x0011C130
0x0011C134
0x0011C138
0x0011C13C
0x0011C140
0x0011C144
0x0011C148
0x0011C14C
0x0011C150
0x0011C154
0x0011C158
0x0011C15C
0x0011C160
0x0011C164
0x0011C168
0x0011C16C
0x0011C170
0x0011C174
0x0011C178
0x0011C17C
0x0011C180
0x0011C184
0x0011C188
0x0011C18C
0x0011C190
0x0011C194
0x0011C198
0x0011C19C
0x0011C1A0
0x0011C1A4
0x0011C1A8
0x0011C1AC
0x0011C1B0
0x0011C1B4
0x0011C1B8
0x0011C1BC
0x0011C1C0
0x0011C1C4
0x0011C1C8
0x0011C1CC
0x0011C1D0
0x0011C1D4
0x0011C1D8
0x0011C1DC
0x0011C1E0
0x0011C1E4
0x0011C1E8
0x0011C1EC
0x0011C1F0
0x0011C1F4
0x0011C1F8
0x0011C1FC
0x0011C200
0x0011C204
0x0011C208
0x0011C20C
0x0011C210
0x0011C214
0x0011C218
0x0011C21C
0x0011C220
0x0011C224
0x0011C228
0x0011C22C
0x0011C230
0x0011C234
0x0011C238
0x0011C23C
0x0011C240
0x0011C244
0x0011C248
0x0011C24C
0x0011C250
0x0011C254
0x0011C258
0x0011C25C
0x0011C260
0x0011C264
0x0011C268
0x0011C26C
0x0011C270
0x0011C274
0x0011C278
0x0011C27C
0x0011C280
0x0011C284
0x0011C288
0x0011C28C
0x0011C290
0x0011C294
0x0011C298
0x0011C29C
0x0011C2A0
0x0011C2A4
0x0011C2A8
0x0011C2AC
0x0011C2B0
0x0011C2B4
0x0011C2B8
0x0011C2BC
0x0011C2C0
0x0011C2C4
0x0011C2C8
0x0011C2CC
0x0011C2D0
0x0011C2D4
0x0011C2D8
0x0011C2DC
0x0011C2E0
0x0011C2E8
0x0011C2EC
0x0011C2F0
0x0011C2F4
0x0011C2F8
0x0011C2FC
0x0011C300
0x0011C304
0x0011C308
0x4301C000
0x4301C004
0x4301C008
0x4301C00C
0x4301C010
0x4301C014
0x4301C018
0x4301C01C
0x4301C020
0x4301C024
0x4301C028
0x4301C02C
0x4301C030
0x4301C034
0x4301C038
0x4301C03C
0x4301C040
0x4301C044
0x4301C048
0x4301C04C
0x4301C050
0x4301C054
0x4301C058
0x4301C05C
0x4301C060
0x4301C064
0x4301C068
0x4301C06C
0x4301C070
0x4301C074
0x4301C078
0x4301C07C
0x4301C080
0x4301C084
0x4301C088
0x4301C08C
0x4301C090
0x4301C094
0x4301C098
0x4301C09C
0x4301C0A0
0x4301C0A4
0x4301C0A8
0x4301C0AC
0x4301C0B0
0x4301C0B4
0x4301C0B8
0x4301C0BC
0x4301C0C0
0x4301C0C4
0x4301C0C8
0x4301C0CC
0x4301C0D0
0x4301C0D4
0x4301C0D8
0x4301C0DC
0x4301C0E0
0x4301C0E4
0x4301C0E8
0x4301C0EC
0x4301C0F0
0x4301C0F4
0x4301C0F8
0x4301C0FC
0x4301C100
0x4301C104
0x4301C108
0x4301C10C
0x4301C110
0x4301C114
EOM
